Retrieve supported currencies
curl --request GET \
--url https://api.sandbox.busha.so/v1/currencies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/currencies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"pagination": {
"current_entries_size": 20,
"next_cursor": "MjAyNC0xMC0xNVQxMTowNTo1My45NTkxNDErMDE6MDA=",
"previous_cursor": "MjAyNC0xMC0xNVQxMDowNTo1My45NTIxQjE3MDE6MDA="
},
"data": [
{
"code": "BTC",
"name": "Bitcoin",
"display_name": "Bitcoin (BTC)",
"decimals": "8",
"default_network": "ethereum",
"deposit": true,
"withdrawal": true,
"precision": "8",
"supported_networks": [
{
"id": "ethereum",
"name": "Ethereum",
"status": "active",
"withdrawal": true,
"deposit": true,
"transaction_link": "https://example.com",
"address_link": "https://example.com",
"max_withdrawal_amount": "100.00",
"min_withdrawal_amount": "0.01",
"min_deposit_amount": "0.001",
"confirmations_required": "12",
"network": "ETH",
"withdrawal_fee": "0.0001",
"address_regex": "^0x[a-fA-F0-9]{40}$",
"testnet_address_regex": "^0x[a-fA-F0-9]{40}$",
"contract_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"is_ramp_sell_supported": true,
"is_ramp_buy_supported": true
}
],
"is_ramp_sell_supported": true,
"is_ramp_buy_supported": true,
"description": "<string>",
"icon": "https://example.com",
"maximum_ramp_buy": "1000",
"maximum_ramp_sell": "1000"
}
]
}Currencies
Retrieve supported currencies
Retrieves a list of all supported currencies along with their basic details. This endpoint can be used to display available currencies in wallets or APIs requiring currency data.
GET
/
v1
/
currencies
Retrieve supported currencies
Authorizations
Bearer Authentication
Headers
Example:
"pub_uibaidu930ani"
Query Parameters
Available options:
fiat, crypto, stablecoin The order to sort the results
Available options:
asc, desc Example:
"asc"
⌘I